import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { GetDataPropsParams, GetTokenBalancesParams, GetTokenDefinitionsParams } from '../../../position/template/contract-position.template.types';
import { SingleStakingFarmDynamicTemplateContractPositionFetcher } from '../../../position/template/single-staking.dynamic.template.contract-position-fetcher';
import { SteakHutContractFactory, SteakHutStaking } from '../contracts';
export declare class AvalancheSteakHutStakingContractPositionFetcher extends SingleStakingFarmDynamicTemplateContractPositionFetcher<SteakHutStaking> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: SteakHutContractFactory;
    groupLabel: string;
    constructor(appToolkit: IAppToolkit, contractFactory: SteakHutContractFactory);
    getContract(address: string): SteakHutStaking;
    getFarmAddresses(): string[];
    getStakedTokenAddress({ contract }: GetTokenDefinitionsParams<SteakHutStaking>): Promise<string>;
    getRewardTokenAddresses({ contract }: GetTokenDefinitionsParams<SteakHutStaking>): Promise<string>;
    getRewardRates({ contract }: GetDataPropsParams<SteakHutStaking>): Promise<import("ethers").BigNumber>;
    getStakedTokenBalance({ address, contract }: GetTokenBalancesParams<SteakHutStaking>): Promise<import("ethers").BigNumber>;
    getRewardTokenBalances({ address, contract }: GetTokenBalancesParams<SteakHutStaking>): Promise<import("ethers").BigNumber>;
}
